criu (4.2-1ubuntu2) resolute; urgency=medium

  * Revert 'Only build for the default Python' no longer needed
  * Also filter out -march flag before calling linker directly,
    to avoid FTBFS on amd64v3 (LP: #2136698)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Feb 2026 15:57:48 +0000

criu (4.2-1ubuntu1) resolute; urgency=medium

  * Only build for the default Python to fix FTBFS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 16 Dec 2025 12:21:45 +0000

criu (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * debian/t/control: Add Depends on libelf-dev, libtracefs-dev and
    libtraceevent-dev for uprobes tests
  * libcriu2: Add new symbols from 4.2 upstream version

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Nov 2025 16:58:26 +0100

criu (4.1.1-3) unstable; urgency=medium

  * zdtm/static/sock_opts00: use unix socket to test SO_PASSCRED and
    SO_PASSSEC
  * criu/sockets: Restrict SO_PASSCRED and SO_PASSSEC to supported families

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Nov 2025 19:58:28 +0100

criu (4.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 22 Aug 2025 19:06:47 +0200

criu (4.1.1-2~exp1) experimental; urgency=medium

  * Enable support for riscv64 (Closes: #1101462)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Aug 2025 08:29:28 +0200

criu (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
    - mount-v2: enter the mount namesapce to propagation properties
      (Closes: #1110096)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 29 Jul 2025 20:37:31 +0200

criu (4.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Mar 2025 23:23:08 +0100

criu (4.1-1~exp1) experimental; urgency=medium

  * New upstream version 4.1
  * Add Build-Depends on uuid-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 26 Mar 2025 08:08:02 +0100

criu (4.0-4) unstable; urgency=medium

  * debian/t/integration-tests: Don't exit immediately on command failues
    (Closes: #1100056)
  * Declare compliance with Debian policy 4.7.2
  * Add Build-Depends on python3-setuptools

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 10 Mar 2025 23:36:59 +0100

criu (4.0-3) unstable; urgency=medium

  * debian/control: libcriu2: Add Depends on criu
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 09 Jan 2025 22:38:41 +0100

criu (4.0-2) unstable; urgency=medium

  * d/t/integration-tests: Retry testsuite on failure to check for flaky tests

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Dec 2024 14:18:03 +0100

criu (4.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 05 Dec 2024 21:07:07 +0100

criu (4.0-1~exp1) experimental; urgency=medium

  * New upstream version 4.0
  * debian/not-installed: Do not (yet) install the cuda plugin.
  * libcompel1: amd64: Add new symbols from 4.0 upstream version

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 29 Nov 2024 18:39:10 +0100

criu (3.19-7) unstable; urgency=medium

  * debian/control: Fix test-name for autopkgtest-pkg-python
  * debian/control: Mark libcriu2 and libcompel1 with Multi-Arch: same
  * d/t/integration-tests: Enable netns_lock_iptables test
  * net: fix network unlock with iptables-nft

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 29 Nov 2024 10:59:12 +0100

criu (3.19-6) unstable; urgency=medium

  * d/t/integration-tests: Enable rseq tests in autopkgtest run
  * Adjust to glibc __rseq_size semantic change
  * d/t/integration-tests: Enable scm06 tests in autopkgtest run

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Nov 2024 07:49:05 +0100

criu (3.19-5) unstable; urgency=medium

  * Add Replaces and Breaks relations for the package split into multiple
    binary packages (Closes: #1087819)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 19 Nov 2024 08:57:37 +0100

criu (3.19-4) unstable; urgency=medium

  * libcompel1: Add architecture specific symbols files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Nov 2024 08:59:28 +0100

criu (3.19-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/rules: Remove --ddeb-migration for a old version of criu

  [ Reinhard Tartler ]
  * Split into multiple packages (Closes: #782007)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Nov 2024 06:46:54 +0100

criu (3.19-2) unstable; urgency=medium

  * debian/control: Stop building for armhf (Closes: #918229)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Nov 2024 23:29:27 +0100

criu (3.19-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * New upstream version 3.18
  * New upstream version 3.19 (Closes: #1086633)
  * debian/salsa-ci.yml: Disable blhc salsa-ci checks
  * debian/control: Replace Build-Depends on pkg-config with pkgconf
  * debian/control: Add Suggests on iptables
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files

  [ Reinhard Tartler ]
  * debian/salsa-ci.yml: disable i386 for salsaci build
  * Use pybuild to install 'crit' and 'pycriu' modules (Closes: #1054814)
  * Add autopkgtest running part of upstreams zdtm test suite
    (Closes: #1086713)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Nov 2024 22:40:46 +0100

criu (3.17.1-3) unstable; urgency=medium

  * make: disable '-Wdangling-pointer' warning with gcc 12 (Closes: #1037610)
  * Declare compliance with Debian policy 4.6.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Aug 2023 07:42:44 +0200

criu (3.17.1-2) unstable; urgency=medium

  * criu: fix conflicting headers (Closes: #1026534)
  * mount: add definition for FSOPEN_CLOEXEC

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 20 Dec 2022 22:00:51 +0100

criu (3.17.1-1) unstable; urgency=medium

  * New upstream version 3.17.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 Jun 2022 17:04:47 +0200

criu (3.17-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Jun 2022 21:40:43 +0200

criu (3.17-1) experimental; urgency=medium

  * New upstream version 3.17
  * amdgpu: Set PLUGINDIR to /usr/lib/criu
  * Update copyright years for debian/* packaging files
  * debian/copyright: Add copyright stanza for plugins/amdgpu/* files
  * debian/rules: Do not install amdgpu_plugin(1) manpage
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Declare compliance with Debian policy 4.6.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 May 2022 22:20:47 +0200

criu (3.16.1-2) unstable; urgency=medium

  * Explicitly enable FPU on ARM builds to fix FTBFS with gcc-11
    (Closes: #999680)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 04 Dec 2021 15:04:48 +0100

criu (3.16.1-1) unstable; urgency=medium

  * debian/watch: Switch to watch tagged versions on github releases page
  * New upstream version 3.16.1
  * Drop "Convert criu-ns to python3"

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Nov 2021 23:05:12 +0100

criu (3.16-2) unstable; urgency=medium

  * Convert shebang for criu-ns to use python3 (Closes: #994929)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Sep 2021 15:11:46 +0200

criu (3.16-1) unstable; urgency=medium

  * New upstream version 3.16
    - Includes criu-ns script to run criu in different namespaces
      (Closes: #929754)
  * Update copyright years for debian/* packaging files
  * debian/control: Add Build-Depends on libnftables-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Sep 2021 08:53:22 +0200

criu (3.15-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Salvatore Bonaccorso ]
  * Upload to unstable
  * Declare compliance with Debian policy 4.6.0
  * debian/control: Drop alternative Recommends on iproute

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Sep 2021 08:18:18 +0200

criu (3.15-1) experimental; urgency=medium

  * New upstream version 3.15
  * debian/copyright: Add missing 'the' in references to GPL-2 file
  * debian/copyright: Add license stanza for LGPL-2.1+
  * debian/copyright: Update copyright information for new files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Nov 2020 17:42:10 +0100

criu (3.14-1) unstable; urgency=medium

  * New upstream version 3.14
  * Drop "ppc64le: remove register '1' from clobber list"
  * Drop "s390x: remove stack pointer from clobber list"
  * Drop "arm: remove stack pointer from clobber list"
  * Drop "criu: fix build failure against gcc-10"
  * Bump Debhelper compat level to 13

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 May 2020 10:37:52 +0200

criu (3.13-7) unstable; urgency=medium

  * Fix build failure against gcc-10

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 13 Apr 2020 15:15:56 +0200

criu (3.13-6) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 Apr 2020 22:49:20 +0200

criu (3.13-5) experimental; urgency=medium

  * [armhf] remove stack pointer from clobber list
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 Jan 2020 15:36:05 +0100

criu (3.13-4) experimental; urgency=medium

  * [s390x] remove stack pointer from clobber list

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 Jan 2020 06:53:16 +0100

criu (3.13-3) experimental; urgency=medium

  * [ppc64el] remove register '1' from clobber list
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Jan 2020 19:17:15 +0100

criu (3.13-2) experimental; urgency=medium

  * Add Build-Depends on libbsd-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Oct 2019 00:30:06 +0200

criu (3.13-1) experimental; urgency=medium

  * New upstream version 3.13
  * Add Build-Depends on libgnutls28-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Oct 2019 16:39:06 +0200

criu (3.12-1) experimental; urgency=medium

  * New upstream version 3.12
  * Update copyright years for debian/* packaging files
  * Add missing pkg-config to Build-Depends.
    Thanks to Scott Kitterman
  * Update to use python3.
    Build-Depends on python3-all instead of python-all.
    Drop Depends on python-future, python-ipaddr and change Depends on
    python-protobuf to python3-protobuf.
    Replace ${python:Depends} substitution with ${python3:Depends}.
    Pass --with python3 to dh in debian/rules and pass PYTHON="python3" in
    the dh_auto_install override.
    Thanks to Scott Kitterman (Closes: #927104)
  * Declare compliance with Debian policy 4.4.1
  * Update .gitlab-ci.yml based on Salsa CI Team's template

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Oct 2019 06:51:02 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcompel1`.
